Deposit order callback

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

What does this endpoint do?

The objective of this endpoint is to enable subscription for notifications related to the deposit order flow within your integrated application. To establish this subscription, it is imperative to provide a target URL to which we will send these notifications.

You will be notified of every critical status change.

Please note that a deposit flow includes any type of deposit made by a third party, which can also be referred to as a "pay-in."

Here is an example of a callback message:

{
    "accountId": "000",
    "referenceId": "TESTE2410151703145154TESTE",
    "taxIdCountry": "BRA",
    "taxId": "12345678910",
    "status": "DepositCreated",
    "blockchain": "None",
    "amount": 100.0,
    "createdAt": "2024-10-15T18:17:03.1451537+00:00",
    "externalId": "DCBA4321"
}
Path Params
string
required
Defaults to 2

The current version of BaaSiC API

string
required

Target callback account identification

Body Params
string
required

The URL notification to receive the callback

string
enum

The way the notification will be retrieve.

Allowed:
Headers
string
required

The personal authentication token obtained by each user from the token authentication endpoint

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain